Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class ManifestException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.tools.ant.taskdefs.ManifestException

All Implemented Interfaces:
  java.io.Serializable

    public class ManifestException

extends java.lang.Exception

Exception thrown indicating problems in a JAR Manifest

Since:
  Ant 1.4
See Also:
  Serialized Form

Constructor Summary
`ManifestException(java.lang.String msg)` Constructs an exception with the given descriptive message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManifestException

    public ManifestException(java.lang.String msg)

  Constructs an exception with the given descriptive message.

  Parameters:
    `msg` - Description of or information about the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD